package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 03 16 57
 **/

public class GoodsDto {

    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 主图
     */
    private String avatar;

    /**
     * 分类ID 字符串（可多选）
     */
    private String typeIds;

    /**
     * 分类名称
     */
    private String typeNames;

    /**
     * 编号
     */
    private String code;

    /**
     * 备注
     */
    private String remark;

    /**
     * 原产地
     */
    private String source;

    /**
     * 状态(0=禁用,1=启用)
     */
    private int status;



    /**
     *
     */
    private String unit;

    /**
     *
     */
    private Double singlePrice;

    /**
     *
     */
    private String taxNo;


    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private String updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 第一计量单位
     */
    private String unit1;
    /**
     * 第二计量单位
     */
    private String unit2;
    /**
     * 用途
     */
    private String useTo;
    /**
     * 存储条件
     */
    private String storageEnvm;



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getTypeIds() {
        return typeIds;
    }

    public void setTypeIds(String typeIds) {
        this.typeIds = typeIds;
    }

    public String getTypeNames() {
        return typeNames;
    }

    public void setTypeNames(String typeNames) {
        this.typeNames = typeNames;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Double getSinglePrice() {
        return singlePrice;
    }

    public void setSinglePrice(Double singlePrice) {
        this.singlePrice = singlePrice;
    }

    public String getTaxNo() {
        return taxNo;
    }

    public void setTaxNo(String taxNo) {
        this.taxNo = taxNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getUnit1() {
        return unit1;
    }

    public void setUnit1(String unit1) {
        this.unit1 = unit1;
    }

    public String getUnit2() {
        return unit2;
    }

    public void setUnit2(String unit2) {
        this.unit2 = unit2;
    }

    public String getUseTo() {
        return useTo;
    }

    public void setUseTo(String useTo) {
        this.useTo = useTo;
    }

    public String getStorageEnvm() {
        return storageEnvm;
    }

    public void setStorageEnvm(String storageEnvm) {
        this.storageEnvm = storageEnvm;
    }

    public GoodsDto(Long id, String gName, String avatar, String typeIds, String typeNames, String hsCode, String remark, String source, int status, String gUnit, Double singlePrice, String taxNo, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, String unit1, String unit2, String useTo, String storageEnvm) {
        this.id = id;
        this.name = gName;
        this.avatar = avatar;
        this.typeIds = typeIds;
        this.typeNames = typeNames;
        this.code = hsCode;
        this.remark = remark;
        this.source = source;
        this.status = status;
        this.unit = gUnit;
        this.singlePrice = singlePrice;
        this.taxNo = taxNo;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.unit1 = unit1;
        this.unit2 = unit2;
        this.useTo = useTo;
        this.storageEnvm = storageEnvm;
    }

    public GoodsDto() {
    }
}
